import os
import random
import sys, codecs
from lxml import etree

f = codecs.open(sys.argv[-1], encoding="utf-8")

# open the file and parse into an etree file
t = etree.parse(f)

# modify the tree

NS = {"svg": "http://www.w3.org/2000/svg"}

# get the inkscape manual from flossmanuals.net
lynxcmd = "lynx -dump -nolist http://en.flossmanuals.net/inkscape/_all/ | tr '\n' ' ' | sed 's/  */\ /g'"
data = os.popen(lynxcmd).read()



for flowPara in t.xpath("//svg:flowPara", namespaces=NS):
    if flowPara.text[0:6] == "mipsum" :
        # get the number of charachters to generate    
        charnum = int(flowPara.text[6:])
        # takes a random part of the text inside the manual
        charnumend = random.randint(0,239605)
        charnumbegin = charnumend - charnum
        flowPara.text = data[charnumbegin:charnumend]





# output tree
sys.stdout.write(etree.tostring(t, encoding="utf-8", xml_declaration=True))
